#include "sysusermgtv2.h"

SysUserMgtV2::SysUserMgtV2(const QString &iModuleNameStr, const QVariantMap iUrlPars, QWidget *iParent)
    :TopClassAbs(iParent)
{
    //载入模板
    initModule(iModuleName, iUrlPars);
    QString licenseKey = config("sys_common").toString();
    if (!licenseKey.isEmpty()) {
        setLicenseKey(licenseKey);
    }
    //语言
    QStringList langLst = config("sys-userv2").toStringList();
    for (const auto &lang : langLst) {
        appendLanguage(lang);
    }

    QVariant prodCfg = config("product_category");
    if (prodCfg.type() == QVariant::List || prodCfg.type() == QVariant::StringList) {
        for (QVariant row : prodCfg.toList()) {
            mProductCategoryLst.append(row.toString());
        }
    } else if (!prodCfg.toString().isEmpty()) {
        mProductCategoryLst.append(prodCfg.toString());
    }
    if (mProductCategoryLst.isEmpty()) {
        mProductCategoryLst.append(APP->productCategory());
    }

}

SysUserMgtV2::~SysUserMgtV2()
{
    this->saveSizeState();
    this->saveObjectState(mTableView);
}

void SysUserMgtV2::initUi(){

}
